using System;

namespace ConsoleApp1
{
    class Program
    {
        static void Main(string[] args)
        {
            int n = int.Parse(Console.ReadLine());
            int[] x = new int[n];
            double[] y = new double[n];
            double zbir = 0;
            for (int i = 0; i < n; i++) 
            {
                String[] a = Console.ReadLine().Split();
                x[i] = int.Parse(a[0]);
                y[i] = double.Parse(a[1]);
                zbir += y[i];
            }
            double arsr = zbir / n;
            double min = double.MaxValue;
            for (int i = 0; i < n; i++)
            {
                if(y[i] > arsr && y[i] < min)
                {
                    min = y[i];
                }
            }
            double zbir1 = 0;
            for (int i = 0; i < n; i++)
            {
                if(y[i] >= min)
                {
                    double k = min / 100 * x[i];
                    zbir1 += k;
                }
            }
            Console.WriteLine(zbir1);
        }
    }
}